com.tibbo.aggregate.common.util

## Class JarVersion

- java.lang.Object
- - com.tibbo.aggregate.common.util.JarVersion

-     public class JarVersion
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUILD_NUMBER`
    `java.lang.String` | `buildNumber`
    `static JarVersion` | `EMPTY`
    `java.lang.String` | `implementationVersion`
    `java.lang.String` | `jarFileName`
    `java.lang.String` | `mainClass`
    `static java.lang.String` | `REVISION_NUMBER`
    `java.lang.String` | `revisionNumber`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JarVersion(java.lang.String jarFileName)`
    `protected` | `JarVersion(java.lang.String jarFileName, java.lang.String mainClass, java.lang.String implementationVersion, java.lang.String buildNumber, java.lang.String revisionNumber)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JarVersion` | `create(java.lang.String jarFileName)`
    `java.lang.String` | `format()`
    `static java.util.List<JarVersion>` | `getClassPathJarVersions(java.util.List<java.lang.String> classPath)`
    `static java.util.Optional<JarVersion>` | `getClassPathJarVersionsByTarget(java.util.List<java.lang.String> classPath, java.lang.String targetClassName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUILD_NUMBER

          public static final java.lang.String BUILD_NUMBER

      See Also:
        Constant Field Values

    - #### REVISION_NUMBER

          public static final java.lang.String REVISION_NUMBER

      See Also:
        Constant Field Values

    - #### EMPTY

          public static final JarVersion EMPTY

    - #### jarFileName

          public final java.lang.String jarFileName

    - #### mainClass

          public final java.lang.String mainClass

    - #### implementationVersion

          public final java.lang.String implementationVersion

    - #### buildNumber

          public final java.lang.String buildNumber

    - #### revisionNumber

          public final java.lang.String revisionNumber

  - ### Constructor Detail

    - #### JarVersion

          protected JarVersion(java.lang.String jarFileName,
                               java.lang.String mainClass,
                               java.lang.String implementationVersion,
                               java.lang.String buildNumber,
                               java.lang.String revisionNumber)

    - #### JarVersion

          protected JarVersion(java.lang.String jarFileName)

  - ### Method Detail

    - #### create

          public static JarVersion create(java.lang.String jarFileName)

    - #### getClassPathJarVersions

          public static java.util.List<JarVersion> getClassPathJarVersions(java.util.List<java.lang.String> classPath)

    - #### getClassPathJarVersionsByTarget

          public static java.util.Optional<JarVersion> getClassPathJarVersionsByTarget(java.util.List<java.lang.String> classPath,
                                                                                       java.lang.String targetClassName)

    - #### format

          public java.lang.String format()